package com.mortals.xhx.module.platform.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Platform
* date: 2021-9-3 10:13:58
*/
public class PlatformQuery extends PlatformEntity{
    private static final long serialVersionUID = 1630635238114L;
    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长 */
    private List <Long> idList;


    /** 名称 */
    private List<String> nameList;

    /** 业务系统标识，唯一 */
    private List<String> platformSnList;

    /** 接入秘钥（系统自动生成） */
    private List<String> secretKeyList;

    /** 系统备注 */
    private List<String> remarkList;

    /** 开始 接收消息类型，0：http,1：jms */
    private Integer typeStart;

    /** 结束 接收消息类型，0：http,1：jms */
    private Integer typeEnd;

    /** 增加 接收消息类型，0：http,1：jms */
    private Integer typeIncrement;

    /** 接收消息类型，0：http,1：jms */
    private List <Integer> typeList;

    /** 接收类型为0时，回调地址 */
    private List<String> callbackUrlList;

    /** 开始 状态，0：停用，1：启用，默认1 */
    private Integer statusStart;

    /** 结束 状态，0：停用，1：启用，默认1 */
    private Integer statusEnd;

    /** 增加 状态，0：停用，1：启用，默认1 */
    private Integer statusIncrement;

    /** 状态，0：停用，1：启用，默认1 */
    private List <Integer> statusList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户 */
    private List <Long> createUserIdList;


    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PlatformQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PlatformQuery> andConditionList;


    public PlatformQuery(){
    }

    /**
    * 获取 开始 菜单ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 菜单ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 菜单ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 业务系统标识，唯一
    * @return platformSnList
    */
    public List<String> getPlatformSnList(){
        return this.platformSnList;
    }

    /**
    * 设置 业务系统标识，唯一
    * @param platformSnList
    */
    public void setPlatformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
    }
    /**
    * 获取 接入秘钥（系统自动生成）
    * @return secretKeyList
    */
    public List<String> getSecretKeyList(){
        return this.secretKeyList;
    }

    /**
    * 设置 接入秘钥（系统自动生成）
    * @param secretKeyList
    */
    public void setSecretKeyList(List<String> secretKeyList){
        this.secretKeyList = secretKeyList;
    }
    /**
    * 获取 系统备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 系统备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 接收消息类型，0：http,1：jms
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 接收消息类型，0：http,1：jms
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 接收消息类型，0：http,1：jms
    * @return typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 接收消息类型，0：http,1：jms
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 接收消息类型，0：http,1：jms
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 接收消息类型，0：http,1：jms
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 接收消息类型，0：http,1：jms
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 接收消息类型，0：http,1：jms
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }
    /**
    * 获取 接收类型为0时，回调地址
    * @return callbackUrlList
    */
    public List<String> getCallbackUrlList(){
        return this.callbackUrlList;
    }

    /**
    * 设置 接收类型为0时，回调地址
    * @param callbackUrlList
    */
    public void setCallbackUrlList(List<String> callbackUrlList){
        this.callbackUrlList = callbackUrlList;
    }
    /**
    * 获取 开始 状态，0：停用，1：启用，默认1
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态，0：停用，1：启用，默认1
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态，0：停用，1：启用，默认1
    * @return statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态，0：停用，1：启用，默认1
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态，0：停用，1：启用，默认1
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态，0：停用，1：启用，默认1
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态，0：停用，1：启用，默认1
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态，0：停用，1：启用，默认1
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
    return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
    this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
    return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
    this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
    return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
    this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
    return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        }
    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }


	/**
    * 设置  菜单ID，主键，自增长
    * @param id
    */
    public PlatformQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public PlatformQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public PlatformQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public PlatformQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public PlatformQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 名称
    * @param name
    */
    public PlatformQuery name(String name){
        setName(name);
		return this;
    }


    /**
    * 设置 名称
    * @param nameList
    */
    public PlatformQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }
	/**
    * 设置 业务系统标识，唯一
    * @param platformSn
    */
    public PlatformQuery platformSn(String platformSn){
        setPlatformSn(platformSn);
		return this;
    }


    /**
    * 设置 业务系统标识，唯一
    * @param platformSnList
    */
    public PlatformQuery platformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
		return this;
    }
	/**
    * 设置 接入秘钥（系统自动生成）
    * @param secretKey
    */
    public PlatformQuery secretKey(String secretKey){
        setSecretKey(secretKey);
		return this;
    }


    /**
    * 设置 接入秘钥（系统自动生成）
    * @param secretKeyList
    */
    public PlatformQuery secretKeyList(List<String> secretKeyList){
        this.secretKeyList = secretKeyList;
		return this;
    }
	/**
    * 设置 系统备注
    * @param remark
    */
    public PlatformQuery remark(String remark){
        setRemark(remark);
		return this;
    }


    /**
    * 设置 系统备注
    * @param remarkList
    */
    public PlatformQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }
	
	/**
    * 设置  接收消息类型，0：http,1：jms
    * @param type
    */
    public PlatformQuery type(Integer type){
        setType(type);
		return this;
    }

    /**
    * 设置 开始 接收消息类型，0：http,1：jms
    * @param typeStart
    */
    public PlatformQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
		return this;
    }


    /**
    * 设置 结束 接收消息类型，0：http,1：jms
    * @param typeEnd
    */
    public PlatformQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
		return this;
    }


    /**
    * 设置 增加 接收消息类型，0：http,1：jms
    * @param typeIncrement
    */
    public PlatformQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
		return this;
    }


    /**
    * 设置 接收消息类型，0：http,1：jms
    * @param typeList
    */
    public PlatformQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
    }
	/**
    * 设置 接收类型为0时，回调地址
    * @param callbackUrl
    */
    public PlatformQuery callbackUrl(String callbackUrl){
        setCallbackUrl(callbackUrl);
		return this;
    }


    /**
    * 设置 接收类型为0时，回调地址
    * @param callbackUrlList
    */
    public PlatformQuery callbackUrlList(List<String> callbackUrlList){
        this.callbackUrlList = callbackUrlList;
		return this;
    }
	
	/**
    * 设置  状态，0：停用，1：启用，默认1
    * @param status
    */
    public PlatformQuery status(Integer status){
        setStatus(status);
		return this;
    }

    /**
    * 设置 开始 状态，0：停用，1：启用，默认1
    * @param statusStart
    */
    public PlatformQuery statusStart(Integer statusStart){
        this.statusStart = statusStart;
		return this;
    }


    /**
    * 设置 结束 状态，0：停用，1：启用，默认1
    * @param statusEnd
    */
    public PlatformQuery statusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
		return this;
    }


    /**
    * 设置 增加 状态，0：停用，1：启用，默认1
    * @param statusIncrement
    */
    public PlatformQuery statusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
		return this;
    }


    /**
    * 设置 状态，0：停用，1：启用，默认1
    * @param statusList
    */
    public PlatformQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public PlatformQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public PlatformQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }

	/**
    * 设置  创建用户
    * @param createUserId
    */
    public PlatformQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PlatformQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PlatformQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PlatformQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PlatformQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }
	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public PlatformQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }


    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public PlatformQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PlatformQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PlatformQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PlatformQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PlatformQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}